using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography.Xml;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class CharacterShipTransferRightsCheckPacket : Packet
    {
        public uint Status { get; set; }
        public uint AcPrice { get; set; }
        public uint Unk1 { get; set; }
        public uint Unk2 { get; set; }
        public uint Unk3 { get; set; }
        public uint Unk4 { get; set; }
        public uint Unk5 { get; set; }

        private uint _account_id;
        private int _CharacterID;

        public CharacterShipTransferRightsCheckPacket(int CharacterID, uint account_id)
        {
            _account_id = account_id;
            _CharacterID = CharacterID;
            Status = 0;
            AcPrice = 100;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var write = new PacketWriter();
            write.Write(Status);
            write.Write(AcPrice);
            write.Write(Unk1);
            write.Write(Unk2);
            write.Write(Unk3);
            write.Write(Unk4);
            write.Write(Unk5);
            return write.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0xB9, PacketFlags.None);
        }

        #endregion
    }
}